Page 1 of 1

Salvo + IAR Embedded Workbench 5 for MSP430

PostPosted: Tue Feb 05, 2008 11:10 am
by aek
IAR recently released Embedded Workbench 5 for MSP430. Users wishing to use this version of IAR EW430 with Salvo libraries must upgrade to Salvo 4. Salvo 4 includes libraries for all IAR EW430 releases (compiler versions 1.x, 2.x, 3.x and the newest, 4.x).

Failure to upgrade Salvo to Salvo 4 for MSP430 will result in "incompatible runtime model errors" because Salvo v3 preceded IAR EW430 v5, and hence Salvo v3 libraries were never built with EW430 v5.

Please note that IAR made an error in the initial release of EW430 v5. It was first released as EW430 v4 (i.e. it installed to the 4.0 directory), but then a few days later it installed to the 5.0 directory. [b]IAR Embedded Workbench for MSP430 4 contains the first release of the v4.x IAR MSP430 compiler.[b]